---
description: A live search of all Objects which share a common Type or Relation
---

# Sets

{% content-ref url="../../../use-cases/deep-dive-sets.md" %}
[deep-dive-sets.md](../../../use-cases/deep-dive-sets.md)
{% endcontent-ref %}

### Understanding Sets

Lots of people compare Sets with databases, but there's a key difference: Sets don't _store_ Objects like regular databases.

Sets are a way to see a portion of your Graph, and Objects you've created, based on your filtered criteria, and several secondary filters which you can customize. You can think of them as a live filter or query for Objects which share certain criteria - specifically, a Type or a Relation.

#### Sets serve two primary functions:

1. **Organizing and Accessing Objects**\
   \
   We often get requests along the lines of: _How do I find all of the Notes I've created?_\
   \
   One easy way is to create a Set based on Type.\
   For example; Note, which will display every Note you've created in Anytype.\
   \
   If you have specific notes you'd like to frequently access, you can filter them based on Relations you've added to these notes.\
   \
   For instance: Creation Date, Tags, or Priority. (In this sense, Relations behave like attributes).\
   \
   You can then pin your Set to your Favorites menu, where it will sit on your Sidebar, acting like a folder for all Objects that meet certain criteria.\\
2. **Editing Objects**\
   \
   Sets also provide a way to quickly edit Objects in a list View.\
   \
   You can use multi-select Objects in Sets to delete multiple Objects at once, or to batch update the Object Type. Any Relations added to a Set in the Relation Menu (top right), will be adopted by all new Objects created with the "+ New Object" button.

<figure><img src="../../../.gitbook/assets/image (68).png" alt=""><figcaption></figcaption></figure>
